/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Dialog.h                         |
|                                                             |
| Authors :      Venot Frederic and Jacomme Ludovic           |
|                                                             |
| Date    :                  01.08.93                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_EDIT_DIALOG
# define GRAAL_EDIT_DIALOG


/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern GraalDialogItem GraalSearchConnectorDialog;
  extern GraalDialogItem GraalSearchInstanceDialog;
  extern GraalDialogItem GraalSearchReferenceDialog;
  extern GraalDialogItem GraalSearchSegmentDialog;

  extern GraalDialogItem GraalModifySegmentWidthDialog;
  extern GraalDialogItem GraalModifySegmentNameDialog;
  extern GraalDialogItem GraalModifyTransistorLengthDialog;
  extern GraalDialogItem GraalModifyConnectorWidthDialog;
  extern GraalDialogItem GraalModifyConnectorNameDialog;
  extern GraalDialogItem GraalModifyReferenceNameDialog;
  extern GraalDialogItem GraalModifyInstanceNameDialog;
  extern GraalDialogItem GraalModifyInstanceModelDialog;
  extern GraalDialogItem GraalSearchConnectorDialog;
  extern GraalDialogItem GraalSearchInstanceDialog;
  extern GraalDialogItem GraalSearchReferenceDialog;
  extern GraalDialogItem GraalSearchSegmentDialog;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackModifySegmentWidthOk();
  extern void CallbackModifySegmentWidthCancel();
  extern void CallbackModifySegmentNameOk();
  extern void CallbackModifySegmentNameCancel();

  extern void CallbackModifyTransistorLengthOk();
  extern void CallbackModifyTransistorLengthCancel();

  extern void CallbackModifyConnectorWidthOk();
  extern void CallbackModifyConnectorWidthCancel();
  extern void CallbackModifyConnectorNameOk();
  extern void CallbackModifyConnectorNameCancel();

  extern void CallbackModifyInstanceNameOk();
  extern void CallbackModifyInstanceNameCancel();

  extern void CallbackModifyInstanceModelOk();
  extern void CallbackModifyInstanceModelCancel();

  extern void CallbackModifyReferenceNameOk();
  extern void CallbackModifyReferenceNameCancel();

  extern void CallbackSearchConnectorOk();
  extern void CallbackSearchConnectorCancel();

  extern void CallbackSearchInstanceOk();
  extern void CallbackSearchInstanceCancel();

  extern void CallbackSearchReferenceOk();
  extern void CallbackSearchReferenceCancel();

  extern void CallbackSearchSegmentOk();
  extern void CallbackSearchSegmentCancel();

# endif 
